from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XProgressBar(XInterface, Protocol):
    def setForegroundColor(self, Color: Color) -> None: ...
    def setBackgroundColor(self, Color: Color) -> None: ...
    def setRange(self, Min: int, Max: int) -> None: ...
    def setValue(self, Value: int) -> None: ...
    def getValue(self) -> int: ...
